Skip to main content
PATCH
/
content
/
libraries
/
{uuid}
Update library
curl --request PATCH \
  --url https://api.getcargo.io/v1/content/libraries/{uuid} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "config": {},
  "folderUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "library": {
    "uuid": "<string>",
    "workspaceUuid": "<string>",
    "name": "<string>",
    "extractorSlug": "<string>",
    "config": {},
    "folderUuid": "<string>",
    "lastSyncedAt": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "deletedAt": "<string>",
    "kind": "<string>",
    "connectorUuid": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

uuid
string<uuid>
required

Library identifier.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$

Body

application/json

Request body schema.

name
string

Library name.

config
Config · object

Library configuration.

folderUuid
string<uuid> | null

Default folder for synced files.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$

Response

Successful response

library
Library · object
required

Updated library details.